Name:          jparsec
Version:       1.2
Release:       %mkrel 2
Summary:       Java Haskell Parsec parser combinator
Group:         Development/Java
License:       BSD
Url:           http://jparsec.codehaus.org/
Source0:       http://dist.codehaus.org/jparsec/distributions/jparsec-%{version}.zip
Source1:       jparsec-%{version}.pom
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-devel
BuildRequires: jfunutil
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: java-rpmbuild
BuildRequires: java-1.5.0-gcj-devel
Requires:      jpackage-utils
BuildArch:     noarch

%description
Jparsec is a recursive-desent parser combinator framework
written for Java. It constructs parsers in native Java
language only.
Jparsec stands out for its combinator nature. It is no
parser generator like YACC or ANTLR. No extra grammar file
is required. Grammar is written in native Java /C#
language, which also means you can utilize all the utilities
in the Java/.Net community to get your parser fancy.
Jparsec is an implementation of Haskell Parsec on the Java
platform.  Feature highlights:
* operator precendence grammar.
* accurate error location and customizable error message.
* rich set of pre-defined reusable combinator functions.
* declarative API that resembles BNF.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Jparsec, Java Haskell Parsec parser combinator.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
Jparsec, Java Haskell Parsec parser combinator.

This package contains documents for %{name}.

%prep
%setup -q -c

mkdir src
pushd src
  unzip -q ../jparsec_src-%{version}.zip
  for j in $(find . -name "*.jar"); do
    mv $j $j.no
  done
  ln -sf $(build-classpath jfunutil) lib/jfunutil.jar
  ln -sf $(build-classpath junit) lib/junit.jar
popd
mkdir doc
pushd doc
  unzip -q ../jparsec_doc-%{version}.zip
popd

%build

pushd src
  mkdir bin
  export JAVA_HOME=/usr/lib/jvm/java-gcj
  ant buildlib test doc
popd

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 src/bin/jparsec.jar \
  %{buildroot}%{_javadir}/jparsec-%{version}.jar

%add_to_maven_depmap jparsec jparsec %{version} JPP jparsec
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-jparsec.pom

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jparsec-%{version}
cp -pr src/docs/parsec/api/* %{buildroot}%{_javadocdir}/jparsec-%{version}
ln -sf jparsec-%{version} %{buildroot}%{_javadocdir}/jparsec
rm -rf doc/api

mkdir -p %{buildroot}%{_docdir}/jparsec
cp -pr doc/* %{buildroot}%{_docdir}/jparsec

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jparsec-%{version}.jar
%{_javadir}/jparsec.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc src/LICENSE.txt

%files javadoc
%{_javadocdir}/jparsec-%{version}
%{_javadocdir}/jparsec

%files manual
%doc %{_docdir}/jparsec



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 355560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 28 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 130029
- Clean spec file
- Clean spec file

* Tue Jul 19 2011 dmorgan <dmorgan> 1.2-0.mga2
+ Revision: 126470
- Add buildrequires
- Add buildrequires

  + gil <gil>
    - imported package jparsec

